#
# spec file for package compal-laptop (Version 0.2.10)
#
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild
#

Name:		compal-laptop
%if 0%{?suse_version} >= 1120
BuildRequires:	%kernel_module_package_buildreqs
%else
BuildRequires:	kernel-source kernel-syms module-init-tools
%endif
Summary:	Kernel module for Compal laptops  
Version:	0.2.10
Release:	1.21
Url:		http://eko.one.pl/index.php?page=compal-laptop
Group:		System/Kernel
License:	GPL v2 or later
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	%{name}-%{version}.tar.bz2
Source1:	README
Source2:	preamble
Source100:	%{name}.changes
Patch0:		%{name}-2.6.31-backport.diff
Autoreqprov:	on
%suse_kernel_module_package -p %_sourcedir/preamble kdump ec2 um 

%description
This is a driver for laptops built by Compal:

Compal HL91/JHL91
Compal FL90/IFL90
Compal FL91/IFL91
Compal JFL92
Compal FT00
Compal JHL90

It adds support for:
- bluetooth, WLAN and lcd brightness control (via backlight control/files)
- change battery charging level

%package KMP
Summary:	Kernel module for Compal laptops 
Group:		System/Kernel
Recommends:	%{name}-doc

%description KMP
This is a driver for laptops built by Compal:

Compal HL91/JHL91
Compal FL90/IFL90
Compal FL91/IFL91
Compal JFL92
Compal FT00
Compal JHL90

It adds support for:
- bluetooth, WLAN and lcd brightness control (via backlight control/files)
- change battery charging level

%package -n %{name}-doc
Summary:        Documentation files for compal-laptop
Group:  	System/Kernel
%if 0%{?suse_version} >= 1120
BuildArch:	noarch
%endif

%description -n %{name}-doc
This package contains Documentation on the compal-laptop.ko kernel driver.

%prep
%setup -q 

cp %{SOURCE1} .

%if 0%{?suse_version} <= 1120
%patch0 -p0
%endif

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
		M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
if [ $flavor != debug ] ; then
        find . -iname "*.ko" -exec strip --strip-debug {} \;
fi
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
		M=$PWD/obj/$flavor
done


%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-doc
%defattr(-, root, root)
%doc source/README

%changelog
* Sat Dec 11 2010 packman@links2linux.de - 0.2.10
- use %%%%kernel_package_buildreqs for openSUSE >= 11.2
- disabled build for obsolete openSUSE 11.0
* Tue Jul 20 2010 packman@links2linux.de - 0.2.10
- fixed build for openSUSE 11.3 (updated sources for linux >= 2.6.34)
- patches for openSUSE 11.1/11.2 added
* Thu Feb  4 2010 packman@links2linux.de - 0.2.10
- fixed build with linux >= 2.6.33 (autoconf.h is obsolete)
- added explicit requires for kernel-%%$flavor on openSUSE >= 11.2
* Sat Aug  1 2009 AxelKoellhofer@web.de - 0.2.10
- updated to 0.2.10
  This version adds support for HL91/JHL91
* Sat Jul 25 2009 AxelKoellhofer@web.de - 0.2.9
- disabled new "ec2"-flavor (breaks build)
* Sun May  3 2009 AxelKoellhofer@web.de - 0.2.9
- initial package, version 0.2.9
